<?php
#    IRM - The Information Resource Manager
#    Copyright (C) 1999,2000 Yann Ramin
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License (in file COPYING) for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
################################################################################

include("../include/irm.inc");
require_once 'include/i18n.php';

AuthCheck("post-only");
commonHeader(_("Tracking") . " - " . _("Added"));
$date = date("Y-m-d H:i:s");
if ($is_group == "") 
{
	$is_group = "no";
}

#$contents = AddSlashes($contents);

$track = new Tracking();
$track->setDateEntered($date);
$track->setStatus($status);
$track->setAuthor($IRMName);
$track->setComputerID($ID);
$track->setWorkRequest($contents);
$track->setPriority($priority);
$track->setIsGroup($is_group);
$track->setAuthorEmail($uemail);
$track->setEmailUpdatesToAuthor($emailupdates);
$track->setOtherEmails($other_emails);
$track->add();

logevent($ID, _("computers"), 4, _("tracking"), _("New tracking job opened")); 

__("Your tracking job has been placed into the database.");

commonFooter();
